#ifndef MONWIDGETGL_H
#define MONWIDGETGL_H

#include <QtOpenGL/QtOpenGL>

#include <v3.hpp>
#include <v2.hpp>
#include <mesh.hpp>

class monWidgetGL : public QGLWidget
{
    Q_OBJECT
public:
    monWidgetGL(QGLWidget *parent = 0);
    ~monWidgetGL();


    void afficher();
    void wireframe(bool est_actif);

protected:

    void initializeGL();
    void paintGL();
    void keyPressEvent(QKeyEvent *event);


private:

    bool etat_affichage;


    cpe::mesh mesh_0;

    cpe::v3 translation;
    double angle;

    unsigned int compteur_temps;

};

#endif // MONWIDGETGL_H
