#ifndef MONWIDGETGL_H
#define MONWIDGETGL_H

#include <QtOpenGL/QtOpenGL>

#include <v3.hpp>
#include <v2.hpp>

class monWidgetGL : public QGLWidget
{
    Q_OBJECT
public:
    monWidgetGL(QGLWidget *parent = 0);
    ~monWidgetGL();


    void afficher();
    void wireframe(bool est_actif);

protected:

    void initializeGL();
    void paintGL();
    void keyPressEvent(QKeyEvent *event);
    void timerEvent(QTimerEvent *event);

private:

    bool etat_affichage;


    std::vector<cpe::v3> sommets;
    std::vector<cpe::v2> uv_texture;

    std::vector<cpe::v3> sommets_2;
    std::vector<cpe::v3> sommets_2_originaux;

    unsigned int identifiant_texture;
    cpe::v3 translation;
    double angle;

    unsigned int compteur_temps;

};

#endif // MONWIDGETGL_H
